<template>
    <div class="column q-pa-md q-gutter-md">
        <h6 class="q-ma-none">Purchase Report</h6>
        <div class="row q-gutter-md">
            <date-combo v-model="date"></date-combo>
            <div>
                <q-btn label="Get Report" @click="refreshData" color="green" />
            </div>
        </div>
        <h6 class="q-ma-none">Party Wise</h6>
        <b-table ref="dayWise" class="full-width" :module="module" table-name="Report_Purchase_Invoice_Party_Wise"
            :extra-post-data="meta_data"></b-table>
        <h6 class="q-ma-none">Day Wise</h6>
        <b-table ref="partyWise" class="full-width" :module="module" table-name="Report_Purchase_Invoice_Day_Wise"
            :extra-post-data="meta_data"></b-table>
    </div>
</template>
<script>
export default {
    props: ['module'],
    components: {
        bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
        DateCombo: Vue.defineAsyncComponent(() => import(`components/widgets/date-combo.vue`))
    },
    data() {
        return {
            date: {
                from: null,
                to: null
            },
        }
    },
    computed: {
        meta_data() {
            let meta_data = {}
            if (this.date.from != null || this.date.to != null) {
                meta_data.From_Date = this.date.from
                meta_data.To_Date = this.date.to
            }

            return { meta_data }

        }
    },
    methods: {
        refreshData() {
            this.$refs.dayWise.syncData()
            this.$refs.partyWise.syncData()
        }
    }

}
</script>
